osgAnimation::TemplateCompositeSampler< VALUESAMPLERTYPE, TIMESAMPLERTYPE > Class Template Reference

`#include <Sampler>`

Inheritance diagram for osgAnimation::TemplateCompositeSampler< VALUESAMPLERTYPE, TIMESAMPLERTYPE >:

## Public Types

typedef VALUESAMPLERTYPE::FunctorType::UsingType | UsingType
typedef VALUESAMPLERTYPE::FunctorType::KeyframeType | KeyframeType

## Public Member Functions

| TemplateCompositeSampler (VALUESAMPLERTYPE &value, TIMESAMPLERTYPE &time)
void | getValueAt (double time, typename VALUESAMPLERTYPE::FunctorType::UsingType &result)
float | getStartTime () const
float | getEndTime () const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Member Typedef Documentation

## KeyframeType

template<typename VALUESAMPLERTYPE, typename TIMESAMPLERTYPE>

typedef VALUESAMPLERTYPE::FunctorType::KeyframeType osgAnimation::TemplateCompositeSampler< VALUESAMPLERTYPE, TIMESAMPLERTYPE >::KeyframeType

## UsingType

template<typename VALUESAMPLERTYPE, typename TIMESAMPLERTYPE>

typedef VALUESAMPLERTYPE::FunctorType::UsingType osgAnimation::TemplateCompositeSampler< VALUESAMPLERTYPE, TIMESAMPLERTYPE >::UsingType

## Constructor & Destructor Documentation

## TemplateCompositeSampler()

template<typename VALUESAMPLERTYPE, typename TIMESAMPLERTYPE>

osgAnimation::TemplateCompositeSampler< VALUESAMPLERTYPE, TIMESAMPLERTYPE >::TemplateCompositeSampler | ( | VALUESAMPLERTYPE & | value,
|  | TIMESAMPLERTYPE & | time )

inline

## Member Function Documentation

## getEndTime()

template<typename VALUESAMPLERTYPE, typename TIMESAMPLERTYPE>

float osgAnimation::TemplateCompositeSampler< VALUESAMPLERTYPE, TIMESAMPLERTYPE >::getEndTime | ( |  | ) | const

inline

## getStartTime()

template<typename VALUESAMPLERTYPE, typename TIMESAMPLERTYPE>

float osgAnimation::TemplateCompositeSampler< VALUESAMPLERTYPE, TIMESAMPLERTYPE >::getStartTime | ( |  | ) | const

inline

## getValueAt()

template<typename VALUESAMPLERTYPE, typename TIMESAMPLERTYPE>

void osgAnimation::TemplateCompositeSampler< VALUESAMPLERTYPE, TIMESAMPLERTYPE >::getValueAt | ( | double | time,
|  | typename VALUESAMPLERTYPE::FunctorType::UsingType & | result )

inline

The documentation for this class was generated from the following file:

- osgAnimation/Sampler